gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. This class manages, in a persist way, the configuration information of the application. The handling is done in a independent way of the selected locale. System.Object
- Method
  System.Void `` To be added a To be added
- Method
  System.IntPtr `` `` `` To be added a a a a To be added
- Method
  System.Void `` `` `` `` To be added a a a a To be added
- Method
  System.IntPtr `` `` To be added a a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.String `` `` To be added a a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Method
  System.Boolean `` `` To be added a a a To be added
- Method
  System.Boolean `` `` Flushes all the configuration data to disk, for a given file. The path of the target file. a Returns if its able to write to disk, otherwise its . Nothing is saved on disk till this method gets invoked, or Sync().
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Method
  System.Void Clears any cached information, including any information that has not been written to file. All non saved configuration data is lost.
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Boolean Flushes all the configuration data to disk. Returns if its able to write to disk, otherwise its . Nothing is saved on disk till this method gets invoked, or SyncFile_.
- Method
  System.IntPtr `` `` To be added a a a To be added
- Constructor
  To be added
  a
  To be added
- Method
  System.Boolean `` `` `` To be added a a a a To be added
- Method
  System.Int32 `` `` `` To be added a a a a To be added
- Method
  System.String `` `` `` To be added a a a a To be added
- Method
  System.Void `` `` `` `` `` To be added a a a a a To be added
- Method
  System.String `` `` `` Gets the value associated with the path as a , if its not present, the default value will be used. The path to the required item. If the default value for the item is returned its set to a otherwise its a . a Returns the value in the configuration path or the default value if its not present, as a . To be added
- Method
  System.Double `` `` `` To be added a a a a To be added
- Method
  System.Int32 `` `` To be added a a a To be added